aboutsummaryrefslogtreecommitdiffstats
path: root/kubernetes/consul/resources/config/consul-agent-config/scripts/so-mariadb-script.sh
diff options
context:
space:
mode:
authorPriyanka Jain <Priyanka.Jain3@amdocs.com>2018-05-03 12:52:04 +0000
committerPriyanka Jain <Priyanka.Jain3@amdocs.com>2018-05-03 12:53:37 +0000
commitc07e1d128c4dd1cd8a3a5423a9785b8b2e85d9b4 (patch)
tree08dea5366560b9ea62a67d610c551aa32d749367 /kubernetes/consul/resources/config/consul-agent-config/scripts/so-mariadb-script.sh
parent0c6d4b84819ef03fceaf64d220854432f4cbb6ca (diff)
Remove nsPrefix references from consul chart
Issue-ID: OOM-1025 Change-Id: Icc05ec5db4580d5264831fd30ff5ec699f945c5f Signed-off-by: Priyanka Jain <Priyanka.Jain3@amdocs.com>
Diffstat (limited to 'kubernetes/consul/resources/config/consul-agent-config/scripts/so-mariadb-script.sh')
-rwxr-xr-xkubernetes/consul/resources/config/consul-agent-config/scripts/so-mariadb-script.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/kubernetes/consul/resources/config/consul-agent-config/scripts/so-mariadb-script.sh b/kubernetes/consul/resources/config/consul-agent-config/scripts/so-mariadb-script.sh
new file mode 100755
index 0000000000..a80a790377
--- /dev/null
+++ b/kubernetes/consul/resources/config/consul-agent-config/scripts/so-mariadb-script.sh
@@ -0,0 +1,14 @@
+NAME=$(/consul/bin/kubectl -n {{ include "common.namespace" . }} get pod | grep -o "so-db[^[:space:]]*")
+
+ if [ -n "$NAME" ]; then
+ if /consul/bin/kubectl -n {{ include "common.namespace" . }} exec -it $NAME -- bash -c 'mysqladmin status -u root -p$MYSQL_ROOT_PASSWORD' > /dev/null; then
+ echo Success. mariadb process is running. 2>&1
+ exit 0
+ else
+ echo Failed. mariadb process is not running. 2>&1
+ exit 1
+ fi
+ else
+ echo Failed. mariadb container is offline. 2>&1
+ exit 1
+ fi